Bug 17573 - Remove DecreaseLoanHighHolds.t warnings
Summary: Remove DecreaseLoanHighHolds.t warnings
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 14598
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-07 18:23 UTC by Tomás Cohen Arazi
Modified: 2017-06-14 22:18 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17573: Remove itemtype-related warnings from DecreaseLoanHighHolds.t (1.60 KB, patch)
2016-11-07 18:26 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17573: Remove itemtype-related warnings from DecreaseLoanHighHolds.t (1.66 KB, patch)
2016-11-07 21:30 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17573: Remove itemtype-related warnings from DecreaseLoanHighHolds.t (1.75 KB, patch)
2016-11-11 08:32 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-11-07 18:23:18 UTC
Bug 14598 made this tests raise lots of warnings because of incomplete data on sample items.
Comment 1 Tomás Cohen Arazi 2016-11-07 18:26:22 UTC
Created attachment 57274 [details] [review]
Bug 17573: Remove itemtype-related warnings from DecreaseLoanHighHolds.t

To test:
- Run:
  $ prove t/db_dependent/DecreaseLoanHighHolds.t
=> FAIL: Lots of warnings
- Apply the patch
- Run:
  $ prove t/db_dependent/DecreaseLoanHighHolds.t
=> SUCCESS: All green and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions
Comment 2 Josef Moravec 2016-11-07 21:30:21 UTC
Created attachment 57287 [details] [review]
[SIGNED-OFF] Bug 17573: Remove itemtype-related warnings from DecreaseLoanHighHolds.t

To test:
- Run:
  $ prove t/db_dependent/DecreaseLoanHighHolds.t
=> FAIL: Lots of warnings
- Apply the patch
- Run:
  $ prove t/db_dependent/DecreaseLoanHighHolds.t
=> SUCCESS: All green and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Marcel de Rooy 2016-11-11 08:32:50 UTC
Created attachment 57453 [details] [review]
Bug 17573: Remove itemtype-related warnings from DecreaseLoanHighHolds.t

To test:
- Run:
  $ prove t/db_dependent/DecreaseLoanHighHolds.t
=> FAIL: Lots of warnings
- Apply the patch
- Run:
  $ prove t/db_dependent/DecreaseLoanHighHolds.t
=> SUCCESS: All green and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Kyle M Hall 2016-11-12 02:35:11 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 5 Mason James 2016-12-14 10:47:46 UTC
Pushed to 16.05.x, for 16.05.06 release